## x11iraf 2.0~2018.07.04+dfsg

=== debian/changelog ===
x11iraf (2.0~2018.07.04+dfsg-1) unstable; urgency=low

  * Re-introduce package as new (Closes: #961418)

 -- Ole Streicher <olebole@debian.org>  Mon, 25 May 2020 11:42:15 +0200

x11iraf (1.2-4) unstable; urgency=low

  * Added tcl8.3-dev to build-depends (closes: #139162)

 -- Zed Pobre <zed@debian.org>  Wed, 20 Mar 2002 19:07:39 -0600

x11iraf (1.2-3) unstable; urgency=medium

  * Dynamic linking to libtcl8.3, libXaw3d, libxpm is now working again.
    All the cleanup patches are basically gone, though.  At some point, I
    need to wrap all of these changes in #ifdef DEBIAN to give them a
    chance of being accepted upstream. This fixes the tcl build problem on
    sparc (since tcl isn't being built anymore) (closes: #104374)
  * Remove emacs local variables from changelog
  * Override lintian source warning about autoconf files in the Tcl
    subdirectories (they never get used now)

 -- Zed Pobre <zed@debian.org>  Mon, 18 Mar 2002 21:21:55 -0600

x11iraf (1.2-2) unstable; urgency=low

  * Added a Build-Depends on flex (closes: #104068)

 -- Zed Pobre <zed@debian.org>  Mon,  9 Jul 2001 09:12:11 -0500

x11iraf (1.2-1) unstable; urgency=low

  * The "My New Key Is Finally In The Keyring" Release.
  * New upstream version.  A certain amount of static linking is back
    simply because I couldn't separate that particular patch out from the
    rest that don't apply anymore.  I need to come up with a better way of
    separating my patches.
  * Added Build-Depends: bison (closes: #102747)
  * Using Build-Depends: xlibs instead of xlib6g and xpm4g.
  * Updated README.Debian and package description to note 8-bit
    requirement (closes: #61297)
  * Corrected obmsh location in obm-puzzle.
  * Updated debian/rules clean.

 -- Zed Pobre <zed@debian.org>  Thu, 28 Jun 2001 22:09:28 -0500

x11iraf (1.1-8local1) unstable; urgency=low

  * Playing with library modifications.  NOT FOR REDISTRIBUTION!

 -- Zed Pobre <zed@debian.org>  Tue, 12 Sep 2000 12:37:47 -0500

x11iraf (1.1-8) unstable; urgency=low

  * Well, I'm stumped.  I can't fix the problem with ximtool, so I'm
    putting a warning in the description and the README that it's broken
    and downgrading the bug to normal for the time being.  I *still* think
    it's a problem with X.

 -- Zed Pobre <zed@debian.org>  Thu, 27 Apr 2000 05:20:56 -0500

x11iraf (1.1-7) unstable; urgency=low

  * While hunting for the X11 problem with ximtool, found several
    references to /usr/local/bin/obmsh which were changed to
    /usr/bin/obmsh.
  * Apparantly the varargs.h in libc6-dev no longer cleans out the
    va_start, etc defines froms stdarg.h no matter whether or not it
    stdarg.h had been previously included (it does it for NeXT systems
    only?), so the warnings about va_start being redefined are back.  I
    give up on this.
  * Turned off compiler warnings for unused variables.  There are too many
    upstream-specified dummy variables to want to see them all each time.
    Since simply adding -Wno-unused after -Wall didn't do this, I've
    manually set all of the warnings that I want to see for cleanup
    purposes, and removed -Wall.

 -- Zed Pobre <zed@debian.org>  Sat,  8 Apr 2000 15:51:54 -0500

x11iraf (1.1-6) unstable; urgency=low

  * Added debhelper to the Build-Depends
  * Changed Recommends: iraf to Suggests: iraf, since it was pointed out
    to me by Gopal Narayanan <gopal@brookie.astro.umass.edu> that the
    programs in x11iraf can be useful on their own.

 -- Zed Pobre <zed@debian.org>  Mon, 13 Mar 2000 19:37:55 -0600

x11iraf (1.1-5) unstable; urgency=low

  * Updated to standards-version 3.1.1 (added Build-Depends)

 -- Zed Pobre <zed@debian.org>  Sun,  5 Dec 1999 21:19:36 -0600

x11iraf (1.1-4) unstable; urgency=low

  * Now Architecture: any (closes: #47986)
  * Bumped to standards-version 3.0.0
  * Specified -O3 now that it's supported.
  * Cleaned up the debian/rules file a little
  * Changed the order of includes in obm/ObmW/HTML-PSformat.c -- stdio.h
    MUST be included before varargs.h, or the single-argument version of
    va_start will be redefined (bug in libc6-dev?)
  * Put an #ifndef linux around some unwanted defines in xgterm/screen.c
    and xgterm/scrollbar.c
  * Stopped building static libraries for libXpm and libXaw3d
  * Removed a NULL from the arguments to XpmReadFileToXpmImage in
    obm/ObmW/icon.c to match the current xpm.h
  * Likewise for XpmCreateXpmImageFromBuffer in obm/server.c
  * Put #include <stdlib.h> in obm/server.c, obmsh/obmsh.c,
    obm/obmW/Gterm.c obm/obmW/HTML*, ximtool/ximclient.c to reduce
    warnings.  Also cleaned up a few other warnings in those files.
  * Did some cleanup of obm/gterm.c,
    ximtool/ximtool.c while trying to unbury myself in warnings.
  * The __DEBIAN__ define is no longer needed.  xgterm/misc.c now uses #if
    !defined(linux) to test.
  * FHS compliance (binaries moved from /usr/X11R6/bin to /usr/bin, uses
    /usr/share/doc and /usr/share/man)

 -- Zed Pobre <zed@debian.org>  Fri, 12 Nov 1999 20:06:26 -0600

x11iraf (1.1-3) unstable; urgency=low

  * Compiled for dynamic linking to Xpm and Xaw3d.  Shaves a few hundred
    kilobytes off of the executable sizes.
  * Thanks to Luis Francisco Gonzalez <luisgh@cogs.susx.ac.uk> for patches
    helping with the above.

 -- Zed Pobre <zed@debian.org>  Thu, 10 Sep 1998 09:40:34 -0500

x11iraf (1.1-2) unstable; urgency=low

  * Took over maintenance of the package from Patrick.  Version 1.1-1 was
    never officially uploaded to the distribution.
  * Changed the debstd and related files in the rules file to use
    debhelper instead.

 -- Zed Pobre <zed@debian.org>  Wed, 17 Jun 1998 19:26:28 -0500

x11iraf (1.1-1) unstable; urgency=low

  * Initial Release.

 -- Patrick Ouellette <pouellet@pop3.utoledo.edu>  Wed, 10 Jun 1998 11:31:15 -0400
