=== debian/control ===
Source: x11iraf
Priority: optional
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: science
Build-Depends: debhelper-compat (= 13),
	       iraf-dev,
               libncurses-dev,
               libxaw7-dev,
               libxmu-dev,
               libxpm-dev,
               tcl-dev,
               xaw3dg-dev
Standards-Version: 4.5.0
Homepage: https://github.com/iraf-community/x11iraf
Vcs-Git: https://salsa.debian.org/olebole/x11iraf.git
Vcs-Browser: https://salsa.debian.org/olebole/x11iraf
Rules-Requires-Root: no

Package: ximtool
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: iraf
Description: Interactive image display program for the X Window System
 x11iraf provides graphical tools to work with IRAF, notably xgterm and
 XImtool. Note: IRAF = Image Reduction and Analysis Facility, a general
 purpose software system for the reduction and analysis of astronomical data.

Package: xgterm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: iraf
Description: Terminal emulator to work with IRAF
 The xgterm program is a terminal emulator for the X Window System
 based largely on xterm but with a completely new graphics and imaging
 widget.  It provides DEC VT102 and Tektronix 4014 compatible
 terminals for programs that can't use the window system directly.
 XGterm also serves as a prototype for the Widget Server being
 developed by the IRAF Project at NOAO.
