=== debian/changelog ===
x11iraf (2.0+2020.06.15+dfsg-1~bpo10+1) buster-backports; urgency=low

  * Rebuild for buster-backports.

 -- Ole Streicher <olebole@debian.org>  Wed, 12 Aug 2020 14:13:15 +0200

x11iraf (2.0+2020.06.15+dfsg-1) unstable; urgency=low

  * Add reference paper to d/u/metadata
  * Fix package name in d/watch
  * Update excluded files for new version
  * New upstream version 2.0+2020.06.15+dfsg
  * Drop patches that are applied upstream
  * Adjust d/rules for new build instructions

 -- Ole Streicher <olebole@debian.org>  Thu, 02 Jul 2020 17:20:43 +0200
