## x11iraf 2.1%2Bdfsg

=== ximtool/Makefile ===
--- 
+++ 
@@ -6,10 +6,11 @@
 
 .PHONY: clients
 
-CFLAGS += -I../obm
+CFLAGS += -I../obm -I${TCL_INCLUDE_DIR}
+
 UNAME_S := $(shell uname -s)
 ifeq ($(UNAME_S),Darwin)
-    CFLAGS += -I/usr/X11/include -D__DARWIN__
+    CFLAGS += -I/usr/X11/include
     LDFLAGS += -L/usr/X11/lib
 endif
