## x11iraf 2.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,11 @@
 
 PREFIX = /usr/local
 
+export TCL_INCLUDE_DIR = /usr/include/tcl
+
 .PHONY: xgterm ximtool xtapemon obmsh
 
+	
 obm/libobm.a:
 	$(MAKE) -C obm
 
@@ -26,7 +29,7 @@
 	$(MAKE) -C obmsh clean
 	$(MAKE) -C obm clean
 
-install: xgterm ximtool xtapemon
+install: xgterm ximtool
 	mkdir -p ${PREFIX}/bin ${PREFIX}/man/man1
 	install -m755 xgterm/xgterm ${PREFIX}/bin
 	install -m755 xgterm/xgterm.man ${PREFIX}/man/man1/xgterm.1
