=== obm/Makefile ===
--- 
+++ 
@@ -2,9 +2,11 @@
 
 ALL_OBJS = ObmW/[A-Za-z]*.o $(OBJS)
 
+CFLAGS += -I${TCL_INCLUDE_DIR}
+
 UNAME_S := $(shell uname -s)
 ifeq ($(UNAME_S),Darwin)
-    CFLAGS += -I/usr/X11/include -D__DARWIN__
+    CFLAGS += -I/usr/X11/include
     LDFLAGS += -L/usr/X11/lib
 endif
