=== xgterm/Makefile ===
--- 
+++ 
@@ -3,10 +3,10 @@
 
 all: xgterm
 
-CFLAGS += -I../obm -DALLOWLOGGING
+CFLAGS += -I../obm -DALLOWLOGGING -Wno-implicit-function-declaration -Wno-implicit-int
 UNAME_S := $(shell uname -s)
 ifeq ($(UNAME_S),Darwin)
-    CFLAGS += -I/usr/X11/include -D__DARWIN__
+    CFLAGS += -I/usr/X11/include
     LDFLAGS += -L/usr/X11/lib
 endif
