=== debian/changelog ===
x11iraf (2.1+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:35:08 +1100

x11iraf (2.1+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libxt6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 00:58:41 +0000

x11iraf (2.1+dfsg-1) unstable; urgency=medium

  * Improve package descriptions
  * Update Files-Excluded
  * New upstream version 2.1+dfsg. Rediff patches
  * Push Standards-Version to 4.5.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Mon, 16 Aug 2021 08:29:29 +0200
