=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: x11iraf
 Priority: optional
-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: science
 Build-Depends: bison,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                flex,
 	       iraf-dev,
                libncurses-dev,
@@ -13,7 +14,7 @@
                libxpm-dev,
                tcl-dev,
                xaw3dg-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/iraf-community/x11iraf
 Vcs-Git: https://salsa.debian.org/debian-astro-team/x11iraf.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/x11iraf
