=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

export OSI_COMPLIANT=YES

%:
	dh  $@

override_dh_auto_install:
	# do nothing
