=== debian/tests/control ===
Test-Command: xvfb-run xgterm -e "cat debian/tests/plot.dat && sleep 1"
Depends: xgterm, xauth, xvfb
Restrictions: superficial, allow-stderr
