## x11iraf 2.2~rc1%2Bdfsg

=== xtapemon/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 UNAME_S := $(shell uname -s)
 ifeq ($(UNAME_S),Darwin)
-    CFLAGS += -I/usr/X11/include -D__DARWIN__
+    CFLAGS += -I/usr/X11/include -D__APPLE__
     LDFLAGS += -L/usr/X11/lib
 endif
